Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1604336 - hping3: FTBFS in Fedora rawhide
Summary: hping3: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hping3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1551327
TreeView+ depends on / blocked
 
Reported: 2018-07-19 22:11 UTC by Mohan Boddu
Modified: 2018-07-24 22:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-24 22:28:29 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 22:11 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 22:11 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 22:11 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 22:11:04 UTC
hping3 failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28188333


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix hping3 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
hping3 will be orphaned. Before branching of Fedora 30,
hping3 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 22:11:15 UTC
Created attachment 1462898 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 22:11:19 UTC
Created attachment 1462899 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 22:11:22 UTC
Created attachment 1462900 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 11:11:39 UTC
Matches:
./configure: line 19: cc: command not found

Suggested fix:
BuildRequires:  gcc

Comment 5 Igor Gnatenko 2018-07-24 22:28:29 UTC
There has been at least one successfull build after this bug got created.

hping3-0.0.20051105-31.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1111188


Note You need to log in before you can comment on or make changes to this bug.